# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-10-19 22:40
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import machines.models


class Migration(migrations.Migration):

    dependencies = [
        ("machines", "0062_extension_origin_v6"),
    ]

    operations = [
        migrations.CreateModel(
            name="SOA",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=255)),
                (
                    "mail",
                    models.EmailField(
                        help_text="Email du contact pour la zone", max_length=254
                    ),
                ),
                (
                    "refresh",
                    models.PositiveIntegerField(
                        default=86400,
                        help_text="Secondes avant que les DNS secondaires doivent demander le                   serial du DNS primaire pour détecter une modification",
                    ),
                ),
                (
                    "retry",
                    models.PositiveIntegerField(
                        default=7200,
                        help_text="Secondes avant que les DNS secondaires fassent une nouvelle                   demande de serial en cas de timeout du DNS primaire",
                    ),
                ),
                (
                    "expire",
                    models.PositiveIntegerField(
                        default=3600000,
                        help_text="Secondes après lesquelles les DNS secondaires arrêtent de                   de répondre aux requêtes en cas de timeout du DNS primaire",
                    ),
                ),
                (
                    "ttl",
                    models.PositiveIntegerField(
                        default=172800, help_text="Time To Live"
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="extension",
            name="soa",
            field=models.ForeignKey(
                default=machines.models.SOA.new_default_soa,
                on_delete=django.db.models.deletion.CASCADE,
                to="machines.SOA",
            ),
        ),
    ]
