# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2018-09-19 20:25
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import re2o.aes_field
import re2o.mixins


class Migration(migrations.Migration):

    dependencies = [
        ("machines", "0095_auto_20180919_2225"),
        ("preferences", "0050_auto_20180818_1329"),
    ]

    operations = [
        migrations.CreateModel(
            name="RadiusKey",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "radius_key",
                    re2o.aes_field.AESEncryptedField(
                        help_text="Clef radius", max_length=255
                    ),
                ),
                (
                    "comment",
                    models.CharField(
                        blank=True,
                        help_text="Commentaire de cette clef",
                        max_length=255,
                        null=True,
                    ),
                ),
                (
                    "default_switch",
                    models.BooleanField(
                        default=True,
                        help_text="Clef par défaut des switchs",
                        unique=True,
                    ),
                ),
            ],
            options={
                "permissions": (("view_radiuskey", "Peut voir un objet radiuskey"),)
            },
            bases=(re2o.mixins.AclMixin, models.Model),
        ),
        migrations.CreateModel(
            name="Reminder",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "days",
                    models.IntegerField(
                        default=7,
                        help_text="Délais entre le mail et la fin d'adhésion",
                        unique=True,
                    ),
                ),
                (
                    "message",
                    models.CharField(
                        blank=True,
                        default="",
                        help_text="Message affiché spécifiquement pour ce rappel",
                        max_length=255,
                        null=True,
                    ),
                ),
            ],
            options={
                "permissions": (("view_reminder", "Peut voir un objet reminder"),)
            },
            bases=(re2o.mixins.AclMixin, models.Model),
        ),
        migrations.CreateModel(
            name="SwitchManagementCred",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "management_id",
                    models.CharField(help_text="Login du switch", max_length=63),
                ),
                (
                    "management_pass",
                    re2o.aes_field.AESEncryptedField(
                        help_text="Mot de passe", max_length=63
                    ),
                ),
                (
                    "default_switch",
                    models.BooleanField(
                        default=True,
                        help_text="Creds par défaut des switchs",
                        unique=True,
                    ),
                ),
            ],
            options={
                "permissions": (
                    (
                        "view_switchmanagementcred",
                        "Peut voir un objet switchmanagementcred",
                    ),
                )
            },
            bases=(re2o.mixins.AclMixin, models.Model),
        ),
        migrations.AddField(
            model_name="optionaltopologie",
            name="sftp_login",
            field=models.CharField(
                blank=True, help_text="Login sftp des switchs", max_length=32, null=True
            ),
        ),
        migrations.AddField(
            model_name="optionaltopologie",
            name="sftp_pass",
            field=re2o.aes_field.AESEncryptedField(
                blank=True, help_text="Mot de passe sftp", max_length=63, null=True
            ),
        ),
        migrations.AddField(
            model_name="optionaltopologie",
            name="switchs_ip_type",
            field=models.OneToOneField(
                blank=True,
                help_text="Plage d'ip de management des switchs",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                to="machines.IpType",
            ),
        ),
        migrations.AddField(
            model_name="optionaltopologie",
            name="switchs_provision",
            field=models.CharField(
                choices=[("sftp", "sftp"), ("tftp", "tftp")],
                default="tftp",
                help_text="Mode de récupération des confs par les switchs",
                max_length=32,
            ),
        ),
        migrations.AddField(
            model_name="optionaltopologie",
            name="switchs_rest_management",
            field=models.BooleanField(
                default=False, help_text="Rest management, activé si provision auto"
            ),
        ),
        migrations.AddField(
            model_name="optionaltopologie",
            name="switchs_web_management",
            field=models.BooleanField(
                default=False,
                help_text="Web management, activé si provision automatique",
            ),
        ),
        migrations.AddField(
            model_name="optionaltopologie",
            name="switchs_web_management_ssl",
            field=models.BooleanField(
                default=False,
                help_text="Web management ssl. Assurez-vous que un certif est installé sur le switch !",
            ),
        ),
        migrations.AlterField(
            model_name="mailmessageoption",
            name="welcome_mail_en",
            field=models.TextField(
                default="", help_text="Mail de bienvenue en anglais"
            ),
        ),
        migrations.AlterField(
            model_name="mailmessageoption",
            name="welcome_mail_fr",
            field=models.TextField(
                default="", help_text="Mail de bienvenue en français"
            ),
        ),
    ]
