# -*- coding: utf-8 -*-
# Generated by Django 1.11.23 on 2019-09-10 17:09
from __future__ import unicode_literals

from django.db import migrations, models
import re2o.mixins


class Migration(migrations.Migration):

    dependencies = [("preferences", "0061_optionaluser_allow_archived_connexion")]

    operations = [
        migrations.CreateModel(
            name="RadiusAttribute",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "attribute",
                    models.CharField(
                        help_text="See http://freeradius.org/rfc/attributes.html",
                        max_length=255,
                        verbose_name="Attribute",
                    ),
                ),
                ("value", models.CharField(max_length=255, verbose_name="Value")),
                (
                    "comment",
                    models.TextField(
                        blank=True,
                        default="",
                        help_text="Use this field to document this attribute.",
                        verbose_name="Comment",
                    ),
                ),
            ],
            options={
                "verbose_name": "RADIUS attribute",
                "verbose_name_plural": "RADIUS attributes",
            },
            bases=(re2o.mixins.RevMixin, re2o.mixins.AclMixin, models.Model),
        ),
        migrations.AddField(
            model_name="radiusoption",
            name="banned_attributes",
            field=models.ManyToManyField(
                blank=True,
                help_text="Answer attributes for banned users.",
                related_name="banned_attribute",
                to="preferences.RadiusAttribute",
                verbose_name="Banned attributes.",
            ),
        ),
        migrations.AddField(
            model_name="radiusoption",
            name="non_member_attributes",
            field=models.ManyToManyField(
                blank=True,
                help_text="Answer attributes for non members.",
                related_name="non_member_attribute",
                to="preferences.RadiusAttribute",
                verbose_name="Non member attributes.",
            ),
        ),
        migrations.AddField(
            model_name="radiusoption",
            name="ok_attributes",
            field=models.ManyToManyField(
                blank=True,
                help_text="Answer attributes for accepted users.",
                related_name="ok_attribute",
                to="preferences.RadiusAttribute",
                verbose_name="Accepted users attributes.",
            ),
        ),
        migrations.AddField(
            model_name="radiusoption",
            name="unknown_machine_attributes",
            field=models.ManyToManyField(
                blank=True,
                help_text="Answer attributes for unknown machines.",
                related_name="unknown_machine_attribute",
                to="preferences.RadiusAttribute",
                verbose_name="Unknown machines attributes.",
            ),
        ),
        migrations.AddField(
            model_name="radiusoption",
            name="unknown_port_attributes",
            field=models.ManyToManyField(
                blank=True,
                help_text="Answer attributes for unknown ports.",
                related_name="unknown_port_attribute",
                to="preferences.RadiusAttribute",
                verbose_name="Unknown ports attributes.",
            ),
        ),
        migrations.AddField(
            model_name="radiusoption",
            name="unknown_room_attributes",
            field=models.ManyToManyField(
                blank=True,
                help_text="Answer attributes for unknown rooms.",
                related_name="unknown_room_attribute",
                to="preferences.RadiusAttribute",
                verbose_name="Unknown rooms attributes.",
            ),
        ),
    ]
